// --- [ dcf_77_mini.h ] ------------------------------------------------------
//       29.09.11
//       tab = 3
//			Auf die Uhrfunktion reduziert Version.
//       Hat die Aufgabe, die interne Uhr eines Datenloggers zu steuern.
// ----------------------------------------------------------------------------

// --- Konstanten -------------------------------------------------------------
													
#define MINUTE			0						// Index fr alle Zeitarrays
#define STUNDE 		1
#define DOW				2						// Wochentag (Bit.0 ... Bit.6) + Sommerzeit !! (= Bit.7)
#define TAG				3
#define MONAT			4
#define JAHR   		5
#define SEKUNDE		6						

#define DoY										// Wenn die Funktion DCF77_Get_DoY() eingebunden werden soll.
													// Das Datum fr einen Zeitruam von 179 Jahren
													// kann hier platzsparend in 2 Byte dargestellt werden.
													// Kostet ca. 84 Byte
													
#define SoD										// Wenn die Funktion DCF77_Get_SoD() eingebunden werden soll.
													// Die Uhrzeit kann hier platzsparend in 2 Byte dargestellt werden,
													// allerdings nur in der Auflsung von 2 Sekunden.
													// Kostet ca. 54 Byte
													
													// In der Tabellenkalkulation wird das Datum als Fliekommazahl dargestellt:
													// - der Ganzzahlige Anteil bestimmt den Tag ab einem Stichdatum (z.B. 01.01.1980)
													// - der Nachkommaanteil die Zeit in Sekunden, wobei 1 ein ganzer Tag = 86400 Sekunden meint
													// Durch Addition des SoD/(86400/2) zum DoY kann die Zeit formatiert werden.

// --- Prototypen -------------------------------------------------------------

void 		DCF_Init(void);					// muss nur 1x aufgerufen werden beim Programmstart
uint8_t 	DCF_New_Second(void);			// Liefert TRUE, wenn eine neue Sekunde angebrochen ist
void 		DCF_Check_Time(void);			// muss immer aufgerufen werden, wenn DCF77_New_Second() == TRUE
uint8_t 	DCF_Get_Time(uint8_t);			// Liefert die angefragte Zeitkomponente zurck
void 		DCF_Get_TimeStr(uint8_t idx, char * s);
uint8_t 	DCF_Get_Errors(void);			// Liefert die Anzahl der DCF-Fehler seit Programmstart/letztem Aufruf zurck

#ifdef DoY
	uint16_t DCF_Get_DoY(void);			// Liefert die lfd. Nr. des Tages im Jahr
#endif
#ifdef SoD
	uint16_t DCF_Get_SoD(void);			// Liefert die lfd. Nr. der (Sekunde des Tages) / 2 !
#endif
// --- [ eof ] ----------------------------------------------------------------